; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE:
	LDS temp,(adr_TASTE)
	tst temp
	brne MENUE_RUN
	ret
;-------------------------------------------------------------------------------
MENUE_RUN:
	rcall LCD_CLEAR
	rcall BEEP_KURZ
	STS(adr_ERROR_CODE),NULL
	STS(adr_TEMPERATUR_L),NULL
	STS(adr_TEMPERATUR_H),NULL
	sbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)		; GRN aus	
	sbi (LED_GELB_PORT),(LED_GELB_PIN_NR)		; GELB aus	
	sbi (LED_ROT_PORT),(LED_ROT_PIN_NR)			; ROT  aus	
	sbi (LED_BLAU_PORT),(LED_BLAU_PIN_NR)		; BLAU aus	
	LDS temp,(adr_TASTE)
;-------------------------------------------------------------------------------
; RESET ?																		
	cpi temp,(TASTE_PLUS)+(TASTE_MINUS)
	brne MENUE_NO_RESET
	rcall ANZEIGE_TEXT_RESET_KURZ
	rjmp RESET_WDR
MENUE_NO_RESET:
;-------------------------------------------------------------------------------
; SEARCH ?																		
	cpi temp,(TASTE_SEARCH)
	brne MENUE_NO_SEARCH
	ldi temp,10									; MENUE		
	STS(adr_MENUE),temp
	rcall ANZEIGE_TEXT_SEARCH_KURZ
	rcall ROM_SEARCH
	cbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)		; GRN an	
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus	
	rjmp MENUE_ACTION
MENUE_NO_SEARCH:
;-------------------------------------------------------------------------------
; MESSEN ?																		
	cpi temp,(TASTE_MESSEN)
	brne MENUE_NO_MESSEN
	rcall ANZEIGE_TEXT_MESSEN_KURZ
	rcall OW_RESET_PRESENCE_C				; Reset+Presence
	brcs MENUE_MESSEN_w
	ret
MENUE_MESSEN_w:
	ldi temp1,0xCC								; SKIP-ROM		
	rcall OW_BYTE_WRITE_TEMP1
	ldi temp1,0x44								; Convert "T"	
	rcall OW_BYTE_WRITE_TEMP1
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp9,5
MENUE_MESSEN_s:
	cbi (LED_GELB_PORT),(LED_GELB_PIN_NR)		; GELB an	
	rcall WAIT_100ms
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus	
	rcall LCD_PUNKT
	rcall WAIT_100ms
	dec temp9
	brne MENUE_MESSEN_s
	cbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)		; GRN an	
	rjmp MENUE_ACTION
MENUE_NO_MESSEN:
;-------------------------------------------------------------------------------
; TASTEN-AUSWERTUNG																
MENUE_ACTION:
	rcall LCD_CLEAR
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_MENUE_PLUS)
	breq MENUE_PLUS
	cpi temp,(TASTE_MENUE_MINUS)
	breq MENUE_MINUS
	rjmp MENUE_START
;-------------------------------------------------------------------------------
MENUE_PLUS:
	LDS temp,(adr_MENUE)
	inc temp
	STS(adr_MENUE),temp
	rjmp MENUE_START
;-------------------------------------------------------------------------------
MENUE_MINUS:
	LDS temp,(adr_MENUE)
	tst temp
	breq MENUE_START
	dec temp
	STS(adr_MENUE),temp
	rjmp MENUE_START
;-------------------------------------------------------------------------------
MENUE_START:
	ldi ZL,LOW (MENUE_SPRUNGMARKE)
	ldi ZH,HIGH(MENUE_SPRUNGMARKE)
	LDS temp,(adr_MENUE)
	add ZL,temp
	adc ZH,NULL
	ijmp ; Sprung nach Z
;-------------------------------------------------------------------------------
MENUE_SPRUNGMARKE:
	rjmp MENUE_ANZEIGE_TASTENBELEGUNG
	rjmp MENUE_RESET_PRESENCE
	rjmp MENUE_ANZEIGE_BUS_RESET
	rjmp MENUE_SINGLE_ROM_READ
	rjmp MENUE_SINGLE_SCRATCHPAD_READ
	rjmp MENUE_ANZEIGE_READ_BYTES
	rjmp MENUE_ANZEIGE_R_ON_OFF
	rjmp MENUE_ANZEIGE_CRC_ON_OFF
	rjmp MENUE_ANZEIGE_WARTUNG
	rjmp ANZEIGE_BEGRUESSUNG
	rjmp ANZEIGE_SLAVE_FOUND

	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES

	rjmp MENUE_ANZEIGE_SLAVES	; 21
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES	; 31
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES	; 41
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES	; 51
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES	; 61
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES
	rjmp MENUE_ANZEIGE_SLAVES



	; berlauf				
	STS(adr_MENUE),NULL
	rjmp MENUE_START
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_READ_BYTES:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall LCD_r_
	rcall LCD_e_
	rcall LCD_a_
	rcall LCD_d_
	rcall LCD_SPACE
	rcall LCD_B
	rcall LCD_Y
	rcall LCD_T
	rcall LCD_E
	rcall LCD_S
;-------------------------------------------------------------------------------
	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_ANZEIGE_READ_RUN_OHNE_RP
	cpi temp,(TASTE_MINUS)
	breq MENUE_ANZEIGE_READ_RUN_MIT_RP
	ret
;-------------------------------------------------------------------------------
MENUE_ANZEIGE_READ_RUN_MIT_RP:
	rcall OW_RESET_PRESENCE_C		; RESET-PRESENCE	
	ldi	temp1,0x33						; MASTER TX x33 (read ROM)	
	rcall OW_BYTE_WRITE_TEMP1
;-------------------------------------------------------------------------------
MENUE_ANZEIGE_READ_RUN_OHNE_RP:
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	
	rcall OW_BYTE_READ_TEMP1
	rcall ANZEIGE_HEX_TEMP1			; hex	

	cbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)		; GRN an	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_R_ON_OFF:
	rcall ANZEIGE_R_ON_OFF
	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_ANZEIGE_R_ON_OFF_RUN
	ret
;-------------------------------------------------------------------------------
MENUE_ANZEIGE_R_ON_OFF_RUN:
	LDS temp,(adr_R_ON)
	inc temp
	andi temp,0b00000001
	STS(adr_R_ON),temp
	tst temp
	breq MENUE_ANZEIGE_R_OFF
MENUE_ANZEIGE_R_ON:
	rcall OW_R_ON
	rjmp ANZEIGE_R_ON_OFF
MENUE_ANZEIGE_R_OFF:
	rcall OW_R_OFF
	rjmp ANZEIGE_R_ON_OFF
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_CRC_ON_OFF:
	rcall ANZEIGE_CRC_ON_OFF
	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_ANZEIGE_CRC_ON_OFF_RUN
	ret
;-------------------------------------------------------------------------------
MENUE_ANZEIGE_CRC_ON_OFF_RUN:
	LDS temp,(adr_CRC_ON)
	inc temp
	andi temp,0b00000001
	STS(adr_CRC_ON),temp
	rjmp ANZEIGE_CRC_ON_OFF
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_BUS_RESET:
	rcall LCD_B
	rcall LCD_U
	rcall LCD_S
	rcall LCD_MINUS
	rcall LCD_R
	rcall LCD_E
	rcall LCD_S
	rcall LCD_E
	rcall LCD_T
;-------------------------------------------------------------------------------
	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_ANZEIGE_BUS_RESET_RUN
	ret
;-------------------------------------------------------------------------------
MENUE_ANZEIGE_BUS_RESET_RUN:
	cbi (LED_BLAU_PORT),(LED_BLAU_PIN_NR)	; BLAU an		
	sbi (OW_DDR), (OW_PIN_NR)				; AUF AUSGANG	
	cbi (OW_PORT),(OW_PIN_NR)				; AUF LOW		
	; ZEILE2
	rcall LCD_ZEILE2
	ldi temp9,16
MENUE_ANZEIGE_BUS_RESET_s:
	cbi (LED_GELB_PORT),(LED_GELB_PIN_NR)	; GELB an		
	rcall WAIT_100ms
	sbi (LED_GELB_PORT),(LED_GELB_PIN_NR)	; GELB aus		
	rcall LCD_PUNKT
	rcall WAIT_100ms
	dec temp9
	brne MENUE_ANZEIGE_BUS_RESET_s
	sbi (OW_PORT),(OW_PIN_NR)				; HIGH-PEGEL 	
	sbi (OW_DDR), (OW_PIN_NR)				; AUF AUSGANG	
	cbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)	; GRN an		
	; ZEILE3	
	rcall LCD_ZEILE3
	rcall BEEP_KURZ
	rcall LCD_O
	rcall LCD_K
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_RESET_PRESENCE:
	rcall LCD_R
	rcall LCD_E
	rcall LCD_S
	rcall LCD_E
	rcall LCD_T
	rcall LCD_MINUS
	rcall LCD_P
	rcall LCD_R
	rcall LCD_E
	rcall LCD_S
	rcall LCD_E
	rcall LCD_N
	rcall LCD_C
	rcall LCD_E
;-------------------------------------------------------------------------------
	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_RESET_PRESENCE_RUN
	ret
;-------------------------------------------------------------------------------
MENUE_RESET_PRESENCE_RUN:
	rcall OW_RESET_PRESENCE_C
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_SINGLE_ROM_READ:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall LCD_S
	rcall LCD_i_
	rcall LCD_n_
	rcall LCD_g_
	rcall LCD_l_
	rcall LCD_e_
	rcall LCD_MINUS
	rcall LCD_R
	rcall LCD_O
	rcall LCD_M
	rcall LCD_MINUS
	rcall LCD_R
	rcall LCD_E
	rcall LCD_A
	rcall LCD_D
;-------------------------------------------------------------------------------
	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_SINGLE_ROM_READ_RUN
	ret
;-------------------------------------------------------------------------------
MENUE_SINGLE_ROM_READ_RUN:
	; ZEILE2		
	rcall LCD_ZEILE2
	rcall OW_SINGLE_ROM_READ
	rcall ANZEIGE_ROM_ID_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_SINGLE_SCRATCHPAD_READ:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall LCD_S
	rcall LCD_i_
	rcall LCD_n_
	rcall LCD_g_
	rcall LCD_l_
	rcall LCD_e_
	rcall LCD_MINUS
	rcall LCD_S
	rcall LCD_C
	rcall LCD_R
	rcall LCD_A
	rcall LCD_MINUS
	rcall LCD_R
	rcall LCD_E
	rcall LCD_A
	rcall LCD_D
;-------------------------------------------------------------------------------
	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_SINGLE_SCRATCHPAD_READ_RUN
	ret
;-------------------------------------------------------------------------------
MENUE_SINGLE_SCRATCHPAD_READ_RUN:
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall OW_SINGLE_SCRATCHPAD_READ
	rcall ANZEIGE_SCRATCHPAD_KURZ9
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_TASTENBELEGUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall LCD_SPACE2
	rcall LCD_B
	rcall LCD_U
	rcall LCD_S
	rcall LCD_DOPPEL_PUNKT
	rcall MESSEN_0_TEMP1_2				; ADC	
	rcall ADC_IN_VOLT_TEMP1_2
	rcall ANZEIGE_4_STELLEN_TEMP1_TEMP2
	rcall LCD_m_
	rcall LCD_V
	; ZEILE2	
	rcall LCD_ZEILE2
	; ZEILE3		
	rcall LCD_ZEILE3
	; ZEILE4		
	rcall LCD_ZEILE4
	ldi ZH, high(TEXT_TASTENBELEGUNG*2)	; TEXT 
	ldi ZL,  low(TEXT_TASTENBELEGUNG*2)
	rjmp ANZEIGE_TEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_WARTUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall LCD_W
	rcall LCD_A
	rcall LCD_R
	rcall LCD_T
	rcall LCD_U
	rcall LCD_N
	rcall LCD_G


	; ZEILE2	
	rcall LCD_ZEILE2
	rcall LCD_T
	LDS temp1,(adr_TASTE)
	rcall ANZEIGE_3_STELLEN_TEMP1
	; ZEILE3	
	rcall LCD_ZEILE3
	rcall LCD_E
	LDS temp1,(adr_ERROR_CODE)
	rcall ANZEIGE_3_STELLEN_TEMP1
	; ZEILE4	
	rcall LCD_ZEILE4
	rcall LCD_M
	LDS temp1,(adr_MENUE)
	rcall ANZEIGE_3_STELLEN_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Anzeige ROM-ID und Typ														
;																				
;	INP: SRAM (adr_MENUE)														
;																				
MENUE_ANZEIGE_SLAVES:
	LDS temp,(adr_MENUE_OFFSET)
	tst temp
	brne MENUE_ANZEIGE_SLAVES_w
	LDS temp,(adr_MENUE)
	STS(adr_MENUE_OFFSET),temp
MENUE_ANZEIGE_SLAVES_w:
;-------------------------------------------------------------------------------
; Slaves in der LISTE ?															
	LDS temp,(adr_ANZAHL_SLAVES)
	tst temp
	brne MENUE_ANZEIGE_SLAVES_OK
	LDS temp,(adr_MENUE_OFFSET)
	STS(adr_MENUE),temp
	rcall LCD_CLEAR		; ZEILE1	
	rcall LCD_n_
	rcall LCD_o_
	rcall LCD_SPACE
	rcall LCD_S
	rcall LCD_l_
	rcall LCD_a_
	rcall LCD_v_
	rcall LCD_e_
	ret
MENUE_ANZEIGE_SLAVES_OK:
;-------------------------------------------------------------------------------
; Datensatznummer berechnen														
	LDS temp1,(adr_MENUE)
	LDS temp,(adr_MENUE_OFFSET)
	sub temp1,temp
	STS(adr_DATENSATZ_NR),temp1
;-------------------------------------------------------------------------------
; Datensatzende ?																
	LDS temp1,(adr_DATENSATZ_NR)
	inc temp1
	LDS temp,(adr_ANZAHL_SLAVES)
	cp temp1,temp
	breq MENUE_ANZEIGE_SLAVES_ENDE_OK
	brlo MENUE_ANZEIGE_SLAVES_ENDE_OK
	LDS temp,(adr_MENUE_OFFSET)
	STS(adr_MENUE),temp
	rcall LCD_CLEAR		; ZEILE1	
	rcall LCD_PUNKT3
	rcall WAIT_100ms
	rjmp MENUE_ANZEIGE_SLAVES
MENUE_ANZEIGE_SLAVES_ENDE_OK:
;-------------------------------------------------------------------------------
	rcall LCD_CLEAR		; ZEILE1	
	rcall LCD_S
	rcall LCD_l_
	rcall LCD_a_
	rcall LCD_v_
	rcall LCD_e_
	rcall LCD_SPACE
	LDS temp1,(adr_DATENSATZ_NR)
	inc temp1
	rcall ANZEIGE_3_STELLEN_TEMP1
	rcall LCD_SPACE
	rcall LCD_v_
	rcall LCD_o_
	rcall LCD_n_
	rcall LCD_SPACE
	LDS temp1,(adr_ANZAHL_SLAVES)
	rcall ANZEIGE_3_STELLEN_TEMP1
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZL,LOW (adr_ROM_LISTE)	; Z-initialisieren
	ldi ZH,HIGH(adr_ROM_LISTE)
	LDS temp1,(adr_DATENSATZ_NR)
	ldi temp,8
	mul temp1,temp			; mal 8
	add ZL,R0
	adc ZH,R1
	; in ROM-CRC-BEREICH kopieren		
	LD temp,Z+
	STS(adr_ROM_ID+0),temp
	LD temp,Z+
	STS(adr_ROM_ID+1),temp
	LD temp,Z+
	STS(adr_ROM_ID+2),temp
	LD temp,Z+
	STS(adr_ROM_ID+3),temp
	LD temp,Z+
	STS(adr_ROM_ID+4),temp
	LD temp,Z+
	STS(adr_ROM_ID+5),temp
	LD temp,Z+
	STS(adr_ROM_ID+6),temp
	LD temp,Z+
	STS(adr_ROM_ID+7),temp	; CRC	
	; ROM-CRC-CHECK						
	rcall ROM_CRC7_C
;-------------------------------------------------------------------------------
	; TASTE ?							
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_ANZEIGE_SCRATCHPAD
	; ROM-ID-ANZEIGE					
	rcall ANZEIGE_ROM_ID_KURZ
;-------------------------------------------------------------------------------
	; ZEILE3		
	rcall LCD_ZEILE3
	LDS temp1,(adr_ROM_ID+0)		; FAM-NAME
	rcall ANZEIGE_TEXT_FAMILY_KURZ_TEMP1
;-------------------------------------------------------------------------------
	; ZEILE4		
	rcall LCD_ZEILE4

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Anzeige SCRATCHPAD															
;																				
;	INP: SRAM (adr_MENUE)														
;   INP; SRAM (adr_ROM_ID8)											
;																				
MENUE_ANZEIGE_SCRATCHPAD:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall LCD_S
	rcall LCD_l_
	rcall LCD_a_
	rcall LCD_v_
	rcall LCD_e_
	rcall LCD_SPACE
	LDS temp1,(adr_DATENSATZ_NR)
	inc temp1
	rcall ANZEIGE_3_STELLEN_TEMP1
;-------------------------------------------------------------------------------
	LDS temp,(adr_ROM_ID+0)	; FAM		
	cpi temp,0x10
	brne MENUE_ANZEIGE_SCRATCHPAD_NO_x10
	; read		
	rcall OW_SCRATCHPAD_READ
	rcall ANZEIGE_SCRATCHPAD_KURZ9
	rcall SCRATCHPAD_CRC8_C			; CRC	
	; ZEILE4
	rcall LCD_ZEILE4
	rcall DSXXXX_TEMPERATURBERECHNUNG_VARIANTE_9BIT
	rcall LCD_SPACE3
	rcall LCD_SPACE3
	rcall ANZEIGE_TEMPERATUR_KURZ
	ret
MENUE_ANZEIGE_SCRATCHPAD_NO_x10:
;-------------------------------------------------------------------------------
	LDS temp,(adr_ROM_ID+0)	; FAM		
	cpi temp,0x22
	brne MENUE_ANZEIGE_SCRATCHPAD_NO_x22
	; read		
	rcall OW_SCRATCHPAD_READ
	rcall ANZEIGE_SCRATCHPAD_KURZ9
	rcall SCRATCHPAD_CRC8_C			; CRC	
	; ZEILE4
	rcall LCD_ZEILE4
	rcall DSXXXX_TEMPERATURBERECHNUNG_VARIANTE_12BIT
	rcall LCD_SPACE3
	rcall LCD_SPACE3
	rcall ANZEIGE_TEMPERATUR_KURZ
	ret
MENUE_ANZEIGE_SCRATCHPAD_NO_x22:
;-------------------------------------------------------------------------------
	LDS temp,(adr_ROM_ID+0)	; FAM		
	cpi temp,0x28
	brne MENUE_ANZEIGE_SCRATCHPAD_NO_x28
	; read		
	rcall OW_SCRATCHPAD_READ
	rcall ANZEIGE_SCRATCHPAD_KURZ9
	rcall SCRATCHPAD_CRC8_C			; CRC	
	; ZEILE4
	rcall LCD_ZEILE4
	rcall DSXXXX_TEMPERATURBERECHNUNG_VARIANTE_12BIT
	rcall LCD_SPACE3
	rcall LCD_SPACE3
	rcall ANZEIGE_TEMPERATUR_KURZ
	ret
MENUE_ANZEIGE_SCRATCHPAD_NO_x28:
;-------------------------------------------------------------------------------
	; read		
	rcall OW_SCRATCHPAD_READ
	rcall ANZEIGE_SCRATCHPAD_KURZ9
	rcall SCRATCHPAD_CRC8_C			; CRC	
	; ZEILE4
	rcall LCD_ZEILE4
	LDS temp1,(adr_SCRATCHPAD+0)
	LDS temp2,(adr_SCRATCHPAD+1)
	rcall LCD_SPACE5
	rcall LCD_SPACE5
	rcall ANZEIGE_ZAHL_TEMP1_2
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
